<?php
/**
 * Joomla! 1.5 component NS Pro
 *
 * @version $Id: router.php 2009-04-28 01:47:12 svn $
 * @author Christopher Mavros
 * @package Joomla
 * @subpackage NS Pro
 * @license GNU/GPL
 *
 * Pro Version of Newsletter Subscriber.
Provides:
Keep subscriptions in database
Unsubscription Page
Optional Confirmation on subscribe/unsubscribe
Subscription Manager 
Send Newsletters
Newsletter Manager
Subscription Statistics
Unique Emails (does not allow duplicates)
 *
 * This component file was created using the Joomla Component Creator by Not Web Design
 * http://www.notwebdesign.com/joomla_component_creator/
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

/*
 * Function to convert a system URL to a SEF URL
 */
function NsproBuildRoute(&$query) {
  $segments = array();

  if (isset($query['view'])) {
    unset($query['view']);
  }

  return $segments;
}
/*
 * Function to convert a SEF URL back to a system URL
 */
function NsproParseRoute($segments) {
  $vars = array();

  $vars['view'] = 'wrapper';

  return $vars;
}
?>